import { AdminPlanService } from "./plan.service";
import { CreatePlanDto, UpdatePlanDto, UpdateStatusDto } from "./plan.dto";
export declare class AdminPlanController {
    private readonly adminPlanService;
    constructor(adminPlanService: AdminPlanService);
    create(CreatePlanDto: CreatePlanDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/plan/plan.entity").Plan[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/plan/plan.entity").Plan;
    }>;
    update(id: string, UpdatePlanDto: UpdatePlanDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
